import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {StatisticsComponent} from "./statistics/statistics.component";
import {AdministrationComponent} from './auth/administration/administration.component';
import {FactionsComponent} from './auth/administration/factions/factions.component';
import {LoginComponent} from './login/login.component';
import {LogoutComponent} from './logout/logout.component';
import {AuthGuard} from './auth/auth.guard';

const routes: Routes = [
  {path: 'statistics', component: StatisticsComponent},
  {
    path: 'administration',
    component: AdministrationComponent,
    children: [
      {path: 'factions', component: FactionsComponent},
    ],
    canActivate: [AuthGuard]
  },
  {path: 'login', component: LoginComponent},
  {path: 'logout', component: LogoutComponent, canActivate: [AuthGuard]},
  {path: '', redirectTo: 'statistics', pathMatch: 'full'}
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {
}
