import { Component, OnInit } from '@angular/core';
import {Faction} from './faction';
import {FirebaseService} from 'app/firebase/firebase.service';

@Component({
  selector: 'app-factions',
  templateUrl: './factions.component.html',
  styleUrls: ['./factions.component.scss']
})
export class FactionsComponent implements OnInit {
  public factions: Faction[] = [];

  constructor(private firebase: FirebaseService) { }

  ngOnInit(): void {
    const factionRef = this.firebase.getReference('factions')
    this.firebase.registerListener(factionRef, (factionData: Faction[]) => {
      this.factions = factionData;
      this.factions.sort(FactionsComponent.sortDescending)
    });
  }

  private static sortDescending(factionA: Faction, factionB: Faction): number {
    if (factionA.size < factionB.size) {
      return 1;
    }
    if (factionA.size > factionB.size) {
      return -1;
    }
    return 0;
  }
}
